#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int palindrom(char* s, int n) {
    if (n <= 1)
        return 1;
    else if (s[0] != s[n-1])
        return 0;
    else
        return palindrom(s+1, n-2);
}

void preuredi(int* a, int n) {
    if (n <= 1)
        return;
    else if (a[0] % 2 == 0)
        preuredi(a+1, n-1);
    else {
        if (a[n-1] % 2 == 0) {
            int tmp = a[0];
            a[0] = a[n-1];
            a[n-1] = tmp;
            preuredi(a+1, n-2);
        }
        else
            preuredi(a, n-1);
    }
}

void print_arr(int* a, int n) {
    int i;
    for (i = 0; i < n; i++) {
        printf("%d ", a[i]);
    }
    printf("\n");
}

int binarni_nizovi(int n) {
    if (n == 1)
        return 2;
    else if (n == 2)
        return 3;
    return binarni_nizovi(n-1) + binarni_nizovi(n-2);
}

int poplocavanje(int n) {
    if (n == 1)
        return 1;
    else if (n == 2)
        return 2;
    return poplocavanje(n-1) + poplocavanje(n-2);
}

int main()
{
    char s[100] = "abccba";
    printf("%d\n", palindrom(s, strlen(s)));

    int a[] = {1, 2, 3, 4, 5, 6, 7};
    int n = 7;
    print_arr(a, n);
    preuredi(a, n);
    print_arr(a, n);

    printf("%d\n", binarni_nizovi(4));
    printf("%d\n", poplocavanje(4));

    // r - read, w - write, a - append
    /*FILE* f_ptr = fopen("ulaz.txt", "r");

    if (f_ptr == NULL) {
        printf("Neuspjesno otvaranje fajla\n");
    }
    else {
        int x;
        fscanf(f_ptr, "%d", &x);
        printf("\n");
        while (!feof(f_ptr)) {
            printf("%d\n", x);
            fscanf(f_ptr, "%d", &x);
        }
        fclose(f_ptr);
    }*/

    FILE* f_ptr = fopen("izlaz.txt", "w");

    if (f_ptr == NULL) {
        printf("Neuspjesno otvaranje fajla\n");
    }
    else {
        /*int i;
        for (i = 5; i <= 25; i += 5) {
            fprintf(f_ptr, "%d\n", i);
        }*/
        int x;
        scanf("%d", &x);
        while (!feof(stdin)) {
            // ctrl-z da se zaustavi:
            fprintf(f_ptr, "%d\n", x);
            scanf("%d", &x);
        }
        fclose(f_ptr);
    }

    return 0;
}
